GET /catalogs/{catalog_slug}

Get details for a specific catalog.

Args: catalog_slug: URL-friendly catalog identifier (e.g., "macys")

Path parameters

  • catalog_slug string Required

Responses

  • 200 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • id string Required
    • slug string Required
    • name string Required
    • description string | null
    • productCount integer Required

      Total number of products

    • categories array[object]

      Category with product count.

      Hide categories attributes Show categories attributes object
      • id string Required
      • name string Required
      • productCount integer Required

        Number of products in this category

    • lastUpdated string(date-time) Required
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
GET /catalogs/{catalog_slug}
curl \
 --request GET 'http://api.example.com/catalogs/{catalog_slug}'
Response examples (200)
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "productCount": 42,
  "categories": [
    {
      "id": "string",
      "name": "string",
      "productCount": 42
    }
  ],
  "lastUpdated": "2026-05-04T09:42:00Z"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}